Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 685254 (gnome-3.30-stable) - GNOME 3.30 stabilization
Summary: GNOME 3.30 stabilization
Status: RESOLVED FIXED
Alias: gnome-3.30-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 680866 681322 701054 CVE-2018-1116 662484 681082 682108 685150
Blocks: gnome-3.30 CVE-2019-12447, CVE-2019-12448, CVE-2019-12449, CVE-2019-12795 692932 gnome-3.32-stable
  Show dependency tree
 
Reported: 2019-05-07 09:10 UTC by Mart Raudsepp
Modified: 2020-02-12 20:11 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2019-05-07 09:10:33 UTC
Time to stabilize GNOME 3.30, together with any aux stuff that's ready to go stable.
Comment 1 Mart Raudsepp gentoo-dev 2019-05-07 10:06:33 UTC
Note that the majority of this can be tested on OpenRC systems as well now. There are a few systemd-only packages (gnome-logs at least) too though.
Comment 2 Stabilization helper bot gentoo-dev 2019-05-07 11:01:35 UTC
An automated check of this bug failed - the following atom is unknown:

media-plugins/gst-plugins-srtp

Please verify the atom list.
Comment 3 Stabilization helper bot gentoo-dev 2019-05-07 13:14:59 UTC
An automated check of this bug failed - repoman reported dependency errors (116 lines truncated): 

> dependency.bad gnome-base/gnome-extra-apps/gnome-extra-apps-3.30.2.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=gnome-extra/gucharmap-11.0.3:2.90']
> dependency.bad gnome-base/gnome-extra-apps/gnome-extra-apps-3.30.2.ebuild: RDEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=gnome-extra/gucharmap-11.0.3:2.90']
> dependency.bad gnome-base/gnome-extra-apps/gnome-extra-apps-3.30.2.ebuild: RDEPEND: amd64(default/linux/amd64/17.0/desktop/gnome) ['>=gnome-extra/gucharmap-11.0.3:2.90']
> dependency.bad gnome-base/gvfs/gvfs-1.38.2.ebuild: DEPEND: ia64(default/linux/ia64/17.0) ['>=sys-auth/polkit-0.114']
> dependency.bad gnome-base/gvfs/gvfs-1.38.2.ebuild: RDEPEND: ia64(default/linux/ia64/17.0) ['>=sys-auth/polkit-0.114']
> dependency.bad gnome-base/gvfs/gvfs-1.38.2.ebuild: DEPEND: ia64(default/linux/ia64/17.0/desktop) ['>=sys-auth/polkit-0.114']
> dependency.bad media-gfx/gnome-photos/gnome-photos-3.30.1.ebuild: DEPEND: x86(default/linux/x86/17.0) ['>=media-libs/gegl-0.4.0:0.4[cairo,jpeg2k,raw]']
> dependency.bad media-gfx/gnome-photos/gnome-photos-3.30.1.ebuild: RDEPEND: x86(default/linux/x86/17.0) ['>=media-libs/gegl-0.4.0:0.4[cairo,jpeg2k,raw]']
> dependency.bad media-gfx/gnome-photos/gnome-photos-3.30.1.ebuild: DEPEND: x86(default/linux/x86/17.0/desktop) ['>=media-libs/gegl-0.4.0:0.4[cairo,jpeg2k,raw]']
> dependency.bad media-plugins/gst-plugins-srtp/gst-plugins-srtp-1.14.3.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=net-libs/libsrtp-2.1.0:2=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-plugins/gst-plugins-srtp/gst-plugins-srtp-1.14.3.ebuild: RDEPEND: arm(default/linux/arm/17.0) ['>=net-libs/libsrtp-2.1.0:2=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.badindev media-plugins/gst-plugins-srtp/gst-plugins-srtp-1.14.3.ebuild: DEPEND: arm(default/linux/arm/17.0/armv4) ['>=net-libs/libsrtp-2.1.0:2=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
Comment 4 Stabilization helper bot gentoo-dev 2019-05-07 16:09:49 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-08 09:32:02 UTC
amd64 stable
Comment 6 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-05-09 20:05:12 UTC
arm64 stable
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-10 17:33:04 UTC
s390 stable
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-10 17:47:54 UTC
x86 stable
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-23 13:01:44 UTC
arm stable
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-06-17 10:06:49 UTC
alpha stable
Comment 11 Agostino Sarubbo gentoo-dev 2019-06-27 12:35:16 UTC
ppc64 stable
Comment 12 Agostino Sarubbo gentoo-dev 2019-07-03 07:11:52 UTC
ppc stable
Comment 13 Mart Raudsepp gentoo-dev 2019-07-13 18:15:50 UTC
(In reply to Agostino Sarubbo from comment #11)
> ppc64 stable

You've failed to stabilize the three vala SLOT packages from the list.
Also re-adding arm64, as it has an older pygobject stable for some reason now, not the version intended from here.
Comment 14 Agostino Sarubbo gentoo-dev 2019-07-18 10:02:31 UTC
ppc64 stable
Comment 15 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-07-23 01:45:08 UTC
arm64 stable
Comment 16 Stabilization helper bot gentoo-dev 2019-08-10 10:00:29 UTC
An automated check of this bug failed - the following atom is unknown:

gnome-base/gvfs-1.38.2

Please verify the atom list.
Comment 17 Stabilization helper bot gentoo-dev 2019-09-08 18:59:19 UTC
An automated check of this bug failed - the following atom is unknown:

x11-libs/pango-1.42.4-r1

Please verify the atom list.
Comment 18 Agostino Sarubbo gentoo-dev 2019-10-09 08:27:42 UTC
sparc stable
Comment 19 Émeric Maschino 2019-11-02 20:17:50 UTC
All packages emerged successfully on ia64 but some fail to pass tests already reported earlier (sometimes on other arches). Namely, these are:
=dev-cpp/glibmm-2.56.1: bug #677706
=gnome-base/dconf-0.30.1: bug #501830
=media-libs/gd-2.2.5-r2: bug #608730 and bug #632076
=net-libs/libnice-0.1.15: bug #678142
=app-accessibility/at-spi2-core-2.30.1: bug #678372.

As a side note =x11-libs/gdk-pixbuf-2.38.1 is nowhere to be found, so I've checked that =x11-libs/gdk-pixbuf-2.38.1-r1 emerged successfully and passed all tests.

Last, but not least. I wasn't able to emerge =dev-libs/gjs-1.54.3 because =gnome-base/gnome-shell-3.26.2-r4 depends on <dev-libs/gjs-1.53. Unfortunately both gnome-base/gnome-shell and gnome-base/gnome-light aren't keyworded ia64 beyond release 3.26. I don't know the proper way to remedy this as trying to keyword ia64 =gnome-base/gnome-shell-3.30.2-r2 to relax the dev-libs/gjs dependency also require dev-lang/sassc and dev-libs/libsass that aren't keyworded ia64 either :-P

Should I keyword ia64 these packages and give them a try or is Sass CSS no go on ia64?
Comment 20 Émeric Maschino 2019-11-02 21:01:04 UTC
(In reply to Émeric Maschino from comment #19)
> All packages emerged successfully on ia64 but some fail to pass tests
> already reported earlier (sometimes on other arches). Namely, these are:
> =dev-cpp/glibmm-2.56.1: bug #677706
> =gnome-base/dconf-0.30.1: bug #501830
> =media-libs/gd-2.2.5-r2: bug #608730 and bug #632076
> =net-libs/libnice-0.1.15: bug #678142
> =app-accessibility/at-spi2-core-2.30.1: bug #678372.

Of course, I forgot to list a test failure...
=net-libs/libsoup-2.64.2: bug #682066

Sorry!
Comment 21 Stabilization helper bot gentoo-dev 2019-11-03 13:02:44 UTC
An automated check of this bug failed - the following atom is unknown:

x11-libs/gdk-pixbuf-2.38.1

Please verify the atom list.
Comment 22 Stabilization helper bot gentoo-dev 2019-11-19 20:01:00 UTC
An automated check of this bug failed - the following atoms are unknown:

app-i18n/unicode-data-11.0.0
gnome-extra/gucharmap-11.0.3

Please verify the atom list.
Comment 23 Émeric Maschino 2019-11-24 09:34:26 UTC
(In reply to Émeric Maschino from comment #19)
> Last, but not least. I wasn't able to emerge =dev-libs/gjs-1.54.3 because
> =gnome-base/gnome-shell-3.26.2-r4 depends on <dev-libs/gjs-1.53.
> Unfortunately both gnome-base/gnome-shell and gnome-base/gnome-light aren't
> keyworded ia64 beyond release 3.26. I don't know the proper way to remedy
> this as trying to keyword ia64 =gnome-base/gnome-shell-3.30.2-r2 to relax
> the dev-libs/gjs dependency also require dev-lang/sassc and dev-libs/libsass
> that aren't keyworded ia64 either :-P
> 
> Should I keyword ia64 these packages and give them a try or is Sass CSS no
> go on ia64?

So did I try. Both dev-lang/sassc and dev-libs/libsass emerged flawlessly on ia64 (https://bugs.gentoo.org/677176#c4).

But =dev-libs/gjs-1.54.3 failed the configure phase (bug #701054) and requires me to upgrade from =gnome-base/gnome-shell-3.28.3 to at least =gnome-base/gnome-shell-3.30.2-r2, which I cannot do (bug #701052).
Comment 24 Stabilization helper bot gentoo-dev 2019-11-24 10:00:03 UTC
An automated check of this bug failed - the following atoms are unknown:

app-i18n/unicode-data-11.0.0
gnome-extra/gucharmap-11.0.3

Please verify the atom list.
Comment 25 Stabilization helper bot gentoo-dev 2019-12-09 11:42:27 UTC
An automated check of this bug failed - the following atoms are unknown:

dev-lang/vala-0.40.15
dev-lang/vala-0.36.19
dev-libs/libxml2-2.9.9-r1
x11-libs/gtk+-3.24.8

Please verify the atom list.
Comment 26 Stabilization helper bot gentoo-dev 2019-12-10 17:03:28 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 27 Émeric Maschino 2020-01-05 19:01:06 UTC
Update status for ia64. Everything's emerge successfully but the following fail tests:
=dev-cpp/glibmm-2.56.1: bug #518308
=gnome-base/dconf-0.30.1: bug #501830
=media-libs/gd-2.2.5-r2: bug #608730 and bug #632076
=net-libs/libnice-0.1.15: bug #678142

Good news, =app-accessibility/at-spi2-core-2.32.1 is no more failing (bug #678372) as well as =net-libs/libsoup-2.66.4 (bug #682066).

Main blocker is still bug #703538 that prevents me from upgrading to =dev-libs/gjs-1.54.3, =gnome-base/gnome-shell-3.30.2-r2 and =x11-wm/mutter-3.30.2-r4 to gain full GNOME 3.30 experience.

Huh and also the missing ia64 keywords for Sass CSS stuff (https://bugs.gentoo.org/677176#c5).
Comment 28 Émeric Maschino 2020-01-09 21:34:19 UTC
Everything's nearly fine on ia64. Only two ebuilds fail to pass tests:
=gnome-base/dconf-0.32.0-r2: bug #501830 (ia64 specific)
=net-libs/libnice-0.1.15: bug #678142
Comment 29 Agostino Sarubbo gentoo-dev 2020-01-17 13:05:31 UTC
ia64 stable
Comment 30 Stabilization helper bot gentoo-dev 2020-01-17 13:59:33 UTC
An automated check of this bug failed - the following atoms are unknown:

dev-lang/vala-0.42.7
dev-libs/gobject-introspection-1.58.3
dev-libs/gobject-introspection-common-1.58.3

Please verify the atom list.
Comment 31 Émeric Maschino 2020-01-19 12:11:06 UTC
(In reply to Agostino Sarubbo from comment #29)
> ia64 stable

Can you please help keywording ia64 (not necessarily ia64 stable, but at least ~ia64) the following ebuilds? They all install and pass tests successfully (https://bugs.gentoo.org/677176#c4), plus are required to install GNOME >= 3.30.

=dev-lang/sassc-3.6.0
=dev-libs/libsass-3.5.5

Thanks!
Comment 32 Stabilization helper bot gentoo-dev 2020-02-02 11:58:58 UTC
An automated check of this bug failed - the following atoms are unknown:

dev-lang/vala-0.42.7
dev-libs/gobject-introspection-1.58.3
dev-libs/gobject-introspection-common-1.58.3

Please verify the atom list.
Comment 33 Mart Raudsepp gentoo-dev 2020-02-02 21:42:47 UTC
hppa, wakey-wakey
Comment 34 Mart Raudsepp gentoo-dev 2020-02-12 20:11:24 UTC
hppa dropped to ~arch for these and revdeps